@mixin app-adl-review-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  .adl-review {
    display: flex;
    flex-direction: column;

    .adls-main-card {
      display: flex;
      flex-direction: column;
      margin: 5px;
      padding: 0px;
      background-color: mat-color($primary, 50);
    }

    // .textarea {
    //   max-lines: 3;
    //   padding: 0px;
    // }

    .remove-border-bottom .mat-tab-header {
      border-bottom: none;
    }

    h2 {
      margin-bottom: 5px !important;
      margin-top: 0px !important;
      padding-left: 5px !important;
    }

    .col {
      display: flex;
      overflow-wrap: auto;
      flex-grow: auto;
      margin: 0 !important;
      border: 1px solid lightgrey;
      align-items: center;
    }

    .col2 {
      display: flex;
      flex-flow: row wrap;
      flex-grow: auto;
      margin: 0 !important;
      padding: 10px;
      border: 1px solid lightgrey;
    }

    .col2-explain {
      display: flex;
      flex-flow: row wrap;
      flex-grow: auto;
      margin: 0 !important;
      padding: 5px;
      padding-bottom: 15px;
      border: 1px solid lightgrey;
    }

    .col-review {
      display: flex;
      overflow-wrap: auto;
      flex-grow: auto;
      margin: 0 !important;
      border: 1px solid lightgrey;
      align-items: center;
      background-color: #fefac0;
    }

    .colheader {
      padding: 10px;
      border: 1px solid lightgrey;
      height: 35px;
      text-align: center;
      align-items: center;
      color: white;
      background: #5c6bc0;
    }
    .coldrpdwn {
      display: flex;
      flex-grow: auto;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
      padding: 2px;
      border: 1px solid lightgrey;
    }
    .coldetails {
      display: flex;
      flex-grow: auto;
      padding: 10px;
      border: 1px solid lightgrey;
    }

    .lblstyle {
      padding: 5px;
      margin-bottom: 5px;
    }

    .mat-hint {
      // font-size: 6px;
      padding-top: 3px !important;
      padding-bottom: 3px !important;
    }

    .matsuffixstyl {
      bottom: 1px !important;
      font-size: 10px !important;
    }

    .mat-radio-button {
      margin-left: 16px;
    }

    .mat-form-field-wrapper {
      padding-bottom: 0 !important;
    }
    .mat-form-field-flex > .mat-form-field-infix {
      position: unset !important;
      padding-top: 3px !important;
      padding-bottom: 1px !important;
      padding-left: 1px;
      padding-right: 1px;
    }

    .mat-select {
      vertical-align: super;
    }

    .mat-select .mat-select-panel .mat-optgroup-label,
    .mat-select-panel .mat-option .mat-select-value {
      height: 40px !important;
      width: flex;
    }

    .mat-radio-invlalid {
      color: red;
    }
  }
}
